import regeneratorRuntime from 'regenerator-runtime';
import { b as build, l as loadConfig, g as getOptions, w as watch } from './chunks/aff022c0.mjs';
import 'fs';
import 'pathe';
import 'mri';
import 'rollup';
import 'rollup-plugin-dts';
import 'fs/promises';
import '@rollup/plugin-alias';
import '@rollup/plugin-commonjs';
import '@rollup/plugin-json';
import '@rollup/plugin-node-resolve';
import '@rollup/plugin-replace';
import '@rollup/pluginutils';
import '@swc/core';
import 'lodash.merge';
import 'jiti';
import 'module';

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _asyncToGenerator(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function main() {
    return _main.apply(this, arguments);
}
function _main() {
    _main = _asyncToGenerator(regeneratorRuntime.mark(function _callee() {
        var config, options;
        return regeneratorRuntime.wrap(function _callee$(_ctx) {
            while(1)switch(_ctx.prev = _ctx.next){
                case 0:
                    config = loadConfig(process.cwd());
                    _ctx.next = 3;
                    return getOptions(process.argv, config);
                case 3:
                    options = _ctx.sent;
                    if (!(options.command === "build")) {
                        _ctx.next = 9;
                        break;
                    }
                    _ctx.next = 7;
                    return build(options);
                case 7:
                    _ctx.next = 12;
                    break;
                case 9:
                    if (!(options.command === "watch")) {
                        _ctx.next = 12;
                        break;
                    }
                    _ctx.next = 12;
                    return watch(options);
                case 12:
                case "end":
                    return _ctx.stop();
            }
        }, _callee);
    }));
    return _main.apply(this, arguments);
}
main().catch(function(err) {
    console.error("An error has been detected while running bauen");
    console.error(err);
    process.exit(1);
});
