'use strict';

const regeneratorRuntime = require('regenerator-runtime');
const getOptions = require('./chunks/2b1ee7c8.cjs');
require('fs');
require('pathe');
require('mri');
require('rollup');
require('rollup-plugin-dts');
require('fs/promises');
require('@rollup/plugin-alias');
require('@rollup/plugin-commonjs');
require('@rollup/plugin-json');
require('@rollup/plugin-node-resolve');
require('@rollup/plugin-replace');
require('@rollup/pluginutils');
require('@swc/core');
require('lodash.merge');
require('jiti');
require('module');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e["default"] : e; }

const regeneratorRuntime__default = /*#__PURE__*/_interopDefaultLegacy(regeneratorRuntime);

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _asyncToGenerator(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function main() {
    return _main.apply(this, arguments);
}
function _main() {
    _main = _asyncToGenerator(regeneratorRuntime__default.mark(function _callee() {
        var config, options;
        return regeneratorRuntime__default.wrap(function _callee$(_ctx) {
            while(1)switch(_ctx.prev = _ctx.next){
                case 0:
                    config = getOptions.loadConfig(process.cwd());
                    _ctx.next = 3;
                    return getOptions.getOptions(process.argv, config);
                case 3:
                    options = _ctx.sent;
                    if (!(options.command === "build")) {
                        _ctx.next = 9;
                        break;
                    }
                    _ctx.next = 7;
                    return getOptions.build(options);
                case 7:
                    _ctx.next = 12;
                    break;
                case 9:
                    if (!(options.command === "watch")) {
                        _ctx.next = 12;
                        break;
                    }
                    _ctx.next = 12;
                    return getOptions.watch(options);
                case 12:
                case "end":
                    return _ctx.stop();
            }
        }, _callee);
    }));
    return _main.apply(this, arguments);
}
main().catch(function(err) {
    console.error("An error has been detected while running bauen");
    console.error(err);
    process.exit(1);
});
